releasing version 2.48
[ikiwiki.git] / debian / NEWS
1 ikiwiki (2.48) unstable; urgency=high
2
3   If you allowed password based logins to your wiki, those passwords were
4   stored in cleartext in the userdb. To guard against exposing users'
5   passwords, I recommend you install the Authen::Passphrase perl module, and
6   then run `ikiwiki-transition hashpassword /path/to/srcdir` to replace all
7   existing cleartext passwords with strong (blowfish) hashes.
8
9  -- Joey Hess <joeyh@debian.org>  Thu, 29 May 2008 14:39:34 -0400
10
11 ikiwiki (2.46) unstable; urgency=low
12  
13   There were some significant template changes in ikiwiki 2.42 (and 1.33.5).
14   If you have locally modified versions of the templates, they need to be
15   updated. Most notably, the editpage.tmpl has a new FIELD-SID added to it,
16   without which web editing will fail.
17  
18  -- Joey Hess <joeyh@debian.org>  Tue, 06 May 2008 14:30:14 -0400
19
20 ikiwiki (2.40) unstable; urgency=low
21
22   ikiwiki now has an new syntax for preprocessor directives, using the
23   prefix '!':
24
25   [[!directive ...]]
26
27   This new syntax no longer relies on spaces to distinguish between
28   wikilinks and preprocessor directives.  Thus, wikilinks can use spaces
29   in their link text, and preprocessor directives without arguments (such
30   as "toc") need not use a trailing space.
31
32   To enable the new syntax, set prefix_directives to true in your ikiwiki
33   config.  For backward compatibility with existing wikis,
34   prefix_directives currently defaults to false.  In ikiwiki 3.0,
35   prefix_directives will default to true, and wikis which have not yet
36   converted to the new syntax will need to set prefix_directives to false
37   in their setup files.
38
39   To convert your wiki to the new syntax, ikiwiki provides a new script
40   ikiwiki-transition.  It will convert preprocessor directives in
41   all files given on the command line.  To convert an entire wiki:
42
43   find wikidir/ -type f -name '*.mdwn' -print0 | xargs -0 ikiwiki-transition prefix_directives
44
45   Even with prefix_directives disabled, ikiwiki now allows an optional '!'
46   prefix on preprocessor directives (but still requires a space).  Thus, a
47   directive which uses a '!' prefix and contains a space will work with
48   ikiwiki 2.40 and newer, regardless of the value of prefix_directives.
49   This allows the underlay to work with all ikiwikis.
50
51  -- Josh Triplett <josh@freedesktop.org>  Sat, 26 Jan 2008 16:26:47 -0800
52
53 ikiwiki (2.30) unstable; urgency=low
54
55   Ever feel that ikiwiki's handling of RecentChanges wasn't truely in the
56   spirit of a wiki compiler? Well, that's changed. The RecentChanges page is
57   now a static page, not a CGI. Users can subscribe to its rss/atom feeds.
58   Custom RecentChanges pages can be easily set up that display only changes
59   to a subset of pages, or only changes by a subset of users.
60   
61   All wikis need to be rebuilt on upgrade to this version. If you listed your
62   wiki in /etc/ikiwiki/wikilist this will be done automatically when the
63   Debian package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
64
65   With this excellent new RecentChanges support, the mail notification system
66   is its age (and known to be variously buggy and underimplemented for
67   various VCSes), and so ikiwiki's support for sending commit mails is REMOVED
68   from this version. If you were subscribed to commit mails, you should be
69   able to accomplish the same thing by subscribing to a RecentChanges feed.
70
71   The "notify" field in setup files is no longer used, and
72   silently ignored. You may want to remove it from your setup file.
73
74  -- Joey Hess <joeyh@debian.org>  Tue, 29 Jan 2008 17:18:31 -0500
75
76 ikiwiki (2.20) unstable; urgency=low
77
78   The template plugin has begin to htmlize the variables passed to templates.
79   This is normally what you want, but to get the old behavior and get at the
80   raw value, you can use `<TMPL_VAR raw_variable>` in a template.
81  
82  -- Joey Hess <joeyh@debian.org>  Sat, 08 Dec 2007 16:04:43 -0500
83
84 ikiwiki (2.16) unstable; urgency=low
85
86   Many of the pages in ikiwiki's basewiki have been moved and renamed in this
87   release, to avoid the basewiki including pages with names like "blog".
88   Redirection pages have been left behind for these moved pages temporarily,
89   and will be removed later.
90
91   If you use the calendar plugin, ikiwiki is now smarter and your nightly
92   cron job to update the wiki doesn't need to rebuild everything. Just pass
93   --refresh to ikiwiki in the cron job and it will update only pages that
94   contain out of date calendars.
95
96  -- Joey Hess <joeyh@debian.org>  Sat, 08 Dec 2007 16:04:43 -0500
97
98 ikiwiki (2.14) unstable; urgency=low
99
100   This version of ikiwiki is more picky about symlinks in the path leading
101   to the srcdir, and will refuse to use a srcdir specified by such a path.
102   This was necessary to avoid some potential exploits, but could potentially
103   break (semi-)working wikis. If your wiki has a srcdir path containing a
104   symlink, you should change it to use a path that does not.
105
106  -- Joey Hess <joeyh@debian.org>  Mon, 26 Nov 2007 14:57:57 -0500
107
108 ikiwiki (2.9) unstable; urgency=low
109
110   Since ikiwiki 2.0 was released, some limitiations have been added to what
111   ikiwiki considers a WikiLink. In short, if there are any spaces in between
112   the brackets, ikiwiki no longer considers it to be a WikiLink. If your wiki
113   contains things meant to be WikiLinks that contain spaces, you will need to
114   fix them, by replacing the spaces with underscores.
115   
116   WikiLink have always been documented to not contain spaces, but bugs in
117   ikiwiki made it treat some text with spaces as WikiLinks. Most of these
118   bugs were fixed in version 2.2, and a final bug was fixed in this 2.9
119   release. These fixes are necessary to avoid ambiguity between
120   WikiLinks and PreProcessorDirectives. Apologies for any inconvenience
121   these bugs (and their fixes) may have caused.
122
123  -- Joey Hess <joeyh@debian.org>  Sat, 29 Sep 2007 14:37:18 -0400
124
125 ikiwiki (2.6) unstable; urgency=low
126
127   In this version the rst plugin allows raw html to be embedded in rst files.
128   As long as the htmlscrubber is enabled, this should be safe. If you are
129   using the rst plugin without the htmlscrubber in a publically writable wiki,
130   you should turn on the htmlscrubber.
131
132  -- Joey Hess <joeyh@debian.org>  Sun, 29 Jul 2007 18:37:22 -0400
133
134 ikiwiki (2.5) unstable; urgency=low
135
136   Due to some config changes in this version, wrappers need to be rebuilt on
137   upgrade. If you listed your wiki in /etc/ikiwiki/wikilist this will be
138   one automatically when the Debian package is upgraded.
139
140  -- Joey Hess <joeyh@debian.org>  Sun, 29 Jul 2007 17:54:40 -0400
141
142 ikiwiki (2.1) unstable; urgency=low
143
144   Some wikis need to be rebuilt on upgrade to this version, due to changes to
145   page templates and the style sheet. If you listed your wiki in
146   /etc/ikiwiki/wikilist this will be done automatically when the Debian
147   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
148
149  -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2007 15:50:36 -0400
150
151 ikiwiki (2.00) unstable; urgency=low
152
153   With the 2.0 release of ikiwiki, some major changes have been made to the
154   default configuration:
155
156   * The 'usedirs' setting is enabled by default. This *will* break all URLs
157     to wikis that did not have 'usedirs' turned on before, unless you follow
158     the procedure described at <http://ikiwiki.info/tips/switching_to_usedirs>,
159     or edit your setup file to turn usedirs off:
160        usedirs => 0,
161
162   * OpenID logins are now enabled by default, if the Net::OpenID::Consumer
163     perl module is available. Password logins are also still enabled
164     by default. If you like, you can turn either OpenID or password logins
165     off via the 'disable_plugins' setting.
166
167  -- Joey Hess <joeyh@debian.org>  Sun, 29 Apr 2007 19:00:43 -0400
168
169 ikiwiki (1.51) unstable; urgency=low
170
171   Some wikis need to be rebuilt on upgrade to this version, due to changes to
172   page layout and the style sheet. If you listed your wiki in
173   /etc/ikiwiki/wikilist this will be done automatically when the Debian
174   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
175
176  -- Joey Hess <joeyh@debian.org>  Thu, 26 Apr 2007 15:50:36 -0400
177
178 ikiwiki (1.50) unstable; urgency=low
179
180   Permalinks and guids in rss and atom feeds for wikis using the usedirs
181   options will change in this release. If you have already enabled usedirs,
182   you may need to take steps to avoid flooding aggregators.
183
184  -- Joey Hess <joeyh@debian.org>  Sat, 14 Apr 2007 16:08:46 -0400
185
186 ikiwiki (1.49) unstable; urgency=low
187
188   Third-party plugins that use htmlpage() or abs2rel() to generate links
189   may need changes to support the new "usedirs" option.
190
191  -- Joey Hess <joeyh@debian.org>  Sun, 01 Apr 2007 16:20:09 -0400
192
193 ikiwiki (1.47) unstable; urgency=low
194  
195   Due to a security fix, wikis that have the htmlscrubber enabled can no
196   longer use the meta plugin to insert html link and meta tags.
197
198   Some special case methods have been added for safely including stylesheets,
199   and for doing openid delegation. See the meta plugin docs for details.
200  
201  -- Joey Hess <joeyh@debian.org>  Wed, 21 Mar 2007 14:18:40 -0400
202
203 ikiwiki (1.45) unstable; urgency=low
204
205   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
206   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
207   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
208
209  -- Joey Hess <joeyh@debian.org>  Wed,  7 Mar 2007 23:02:52 -0500
210
211 ikiwiki (1.44) unstable; urgency=low
212
213   The htmllink() function has changed slightly and plugins that use it may
214   need to change how they call it. This function's first three parameters
215   are unchanged, but additional options are now passed using named
216   parameters. If you used htmllink with more than 3 parameters, you will
217   need to change it. The plugin interface version has been increased to 1.02
218   to reflect this change.
219
220  -- Joey Hess <joeyh@debian.org>  Mon, 19 Feb 2007 21:10:12 -0500
221
222 ikiwiki (1.42) unstable; urgency=low
223
224   The anonok setting in config files has been removed. To enable
225   httpauth support on your wiki, you should now enable the anonok plugin,
226   instead.
227
228   Third-party plugins that use pagespec_match() should be updated to pass
229   the new third parameter (from) to that function. This is needed for the
230   new relative glob matching to work.
231
232  -- Joey Hess <joeyh@debian.org>  Thu,  1 Feb 2007 16:57:59 -0500
233
234 ikiwiki (1.34) unstable; urgency=low
235
236   The httpauth setting in config files has been removed. To enable
237   httpauth support on your wiki, you should now enable the httpauth plugin,
238   instead.
239
240   This release includes OpenID support that is enabled through the openid
241   plugin. I recommend turning this on to make it easier for users to sign
242   in to your wiki.
243
244  -- Joey Hess <joeyh@debian.org>  Sun, 19 Nov 2006 20:53:05 -0500
245
246 ikiwiki (1.32) unstable; urgency=low
247
248   There is a change to the plugin interface in this version. Any plugins that
249   modify data in %links should pass scan => 1 when registering the hook that
250   does so.
251
252  -- Joey Hess <joeyh@debian.org>  Sat, 28 Oct 2006 00:13:12 -0400
253
254 ikiwiki (1.29) unstable; urgency=low
255
256   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
257   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
258   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
259
260   There is a change to the plugin interface in this version. Plugins that use
261   %renderedfiles will need to be updated, as the hash's values are now arrays
262   of rendered files. Plugins that cause a page to render additional files
263   should use the new will_render function to register the files.
264
265  -- Joey Hess <joeyh@debian.org>  Sun,  8 Oct 2006 17:27:56 -0400
266
267 ikiwiki (1.22) unstable; urgency=low
268   
269   Due to some changes in the CSS, wikis should be rebuilt on upgrade to this
270   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be done
271   automatically when the Debian package is upgraded. Or use ikiwiki-mass-rebuild
272   to force a rebuild.
273
274   If you have modified versions of ikiwiki's html templates, you will need
275   to update your templates to link to the stylesheet file using
276   "<TMPL_VAR BASEURL>style.css" instead of the old method which used
277   STYLEURL.
278
279   There have also been some changes to the plugin interface:
280   Any plugins that use santize, htmlize, or format hooks will need to be
281   updated for this version of ikiwiki since these hooks have been changed
282   to use named parameters.
283
284  -- Joey Hess <joeyh@debian.org>  Tue, 22 Aug 2006 15:33:12 -0400
285
286 ikiwiki (1.13) unstable; urgency=low
287
288   The GlobList format which was used for specifiying sets of pages, has been
289   replaced with a new, more expressive PageSpec format. While GlobLists will
290   continue to work, that format is deprecated, and you are encouraged to use
291   PageSpecs from now on, and also to change any GlobLists in your wiki to
292   PageSpecs. See the new PageSpec page for details.
293   
294   You will need to rebuild your wiki when upgrading to this version. If you
295   listed your wiki in /etc/ikiwiki/wikilist this will be done automatically
296   when the Debian package is upgraded. Or use ikiiki-mass-rebuild to force a
297   rebuild.
298
299  -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2006 18:29:51 -0400
300
301 ikiwiki (1.11) unstable; urgency=low
302
303   Some changes to tags in this release, due to a new tag plugin. If you have
304   been using the meta plugin to tag pages, you'll want to enable the tag
305   plugin too, and change things like this:
306
307   [[meta link="foobar"]]
308
309   To this:
310
311   [[tag foobar]]
312
313   The new tags will appear at page footers, and are also easier to type.
314
315   There have also been some changes to the plugin interface, particularly the
316   interface of pagetemplate hooks has changed. See the changelog for details.
317
318  -- Joey Hess <joeyh@debian.org>  Thu, 27 Jul 2006 17:03:09 -0400
319
320 ikiwiki (1.8) unstable; urgency=low
321
322   If your wiki is configured with a setup file, you should modify it to
323   stop setting the "plugin" list directly, and instead add or remove plugins
324   via the add_plugins and disable_plugins lines. For example, if you had:
325
326         plugin => [qw{inline smiley search}],
327
328   Change it to these lines, which disables the default htmlscrubber plugin
329   and adds the two additional plugins:
330
331         add_plugins => [qw{smiley search}],
332         disable_plugins => [qw{htmlscrubber}],
333
334   Making this change makes your ikiwiki setup file more future-proof since
335   new default plugins will be automatically used.
336   
337   You will need to rebuild your ikiwiki wrappers when upgrading to this
338   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be
339   done automatically when the Debian package is upgraded. Or use
340   ikiiki-mass-rebuild --refresh to force a refresh.
341
342  -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
343
344 ikiwiki (1.1) unstable; urgency=low
345
346   There have been several configuration changes in this release of ikiwiki:
347
348   The --svn and --no-svn switches are removed, instead you should use
349    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
350   be changed to set rcs => "svn"; if your setup file sets svn => 0
351   then change it to use rcs => "" to disable svn.
352
353   The --hyperestraier switch is gone too. To enable searching, turn on the
354   search plugin, by passing --plugin=search or through the plugin setting in
355   the setup file.
356
357   The --sanitize and --no-sanitize switches are also gone, replaced with the
358   htmlscrubber plugin. This plugin is enabled by default, to disable it,
359   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
360   setup file.
361
362   Discussion pages are enabled by default, but if your wiki is configured
363   with a setup file, you need to edit it to keep them enabled on upgrade
364   to this version. Add a line reading:
365   discussion => 1,
366
367   You will need to rebuild your wiki when upgrading to this version.
368   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
369   automatically when the Debian package is upgraded. Or use
370   ikiiki-mass-rebuild to force a rebuild.
371
372  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400